Workspaces
Update workspace settings
PATCH
/workspaces/{id}/settingsAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Workspace ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/workspaces/string/settings" \ -H "Content-Type: application/json" \ -d '{}'{ "$schema": "https://example.com/api/v1/schemas/UpdateWorkspaceSettingsOutputBody.json", "avatar_url": "string", "color": "string", "media_cleanup_days": 14, "name": "string", "random_delay_minutes": 0, "slot_end_hour": 0, "slot_interval_minutes": 0, "slot_start_hour": 0, "timezone": "string", "week_start": 0}